NXWidgets: NXWidgets Namespace Reference

NXWidgets 1.19

Classes | Functions
NXWidgets Namespace Reference

## Classes
class | CBgWindow
class | CBitmap
class | CButton
class | CButtonArray
class | CCallback
class | CCheckBox
class | CCycleButton
class | CGlyphButton
class | CGlyphSliderHorizontal
class | CGlyphSliderHorizontalGrip
class | CGraphicsPort
class | CImage
class | CKeypad
class | CLabel
class | CLatchButton
class | CLatchButtonArray
class | CListBox
class | CListBoxDataItem
class | CListData
class | CListDataEventArgs
class | CListDataItem
class | CMultiLineTextBox
class | CNumericEdit
class | CNxFont
class | CNxServer
class | CNxString
class | CNxTimer
class | CNxTkWindow
class | CNxToolbar
class | CNxWidget
class | CNxWindow
class | CProgressBar
class | CRadioButton
class | CRadioButtonGroup
class | CRect
class | CRlePaletteBitmap
class | CScaledBitmap
class | CScrollbarHorizontal
class | CScrollbarPanel
class | CScrollbarVertical
class | CScrollingListBox
class | CScrollingPanel
class | CScrollingTextBox
class | CSliderHorizontal
class | CSliderHorizontalGrip
class | CSliderVertical
class | CSliderVerticalGrip
class | CStickyButton
class | CStickyButtonArray
class | CStickyImage
class | CStringIterator
class | CTabPanel
class | CText
class | CTextBox
class | CWidgetColors
class | CWidgetControl
class | CWidgetEventArgs
class | CWidgetEventHandler
class | CWidgetEventHandlerList
class | CWidgetStyle
class | CWindowEventHandler
class | CWindowEventHandlerList
class | IBitmap
class | IListBox
class | IListDataEventHandler
class | INxWindow
class | IScrollable
class | ISlider
class | ITextBox
struct | SBitmap
struct | SRlePaletteBitmap
struct | SRlePaletteBitmapEntry
class | TEventArgs

## Functions
void | instantiateSingletons (void)
void | freeSingletons (void)

## Function Documentation

## ◆ freeSingletons()

void NXWidgets::freeSingletons | ( | void |  | ) |

Free the singleton instances when the last NX server is destroyed.

Q: Why is there here is it is only called as part of the CNxServer destructor? A: Just for symmetry with instantiateSingletons().

Free the singleton instances when the last NX server is destroyed.

Definition at line 170 of file singletons.cxx.

## ◆ instantiateSingletons()

void NXWidgets::instantiateSingletons | ( | void |  | ) |

Setup misc singleton instances.

Q: Why is there here? A: Because it needs to be done one time before any widgets are created. Q: So why isn't it just the default style just a statically constructed class? A: Because not all platforms will support static class constructions. Q: Why isn't it part of CNxServer? A: Because the singletons may be needed before the server is started.

Setup misc singleton instances. Why is there here? Because it needs to be done one time before any widgets are created. So why isn't it just the default style just a statically constructed class? Because not all platforms will support static class constructions.

Definition at line 114 of file singletons.cxx.